#ifndef FAILEDPAGEWIDGET_H
#define FAILEDPAGEWIDGET_H

#include "saneobject.h"

#include <QWidget>
#include <QLabel>
#include <QPixmap>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QPushButton>
#include <QPalette>
#include <QColor>
#include <QFont>
#include <QPalette>
#include <QThread>
#include<QSize>

#define FailedPageIconSize  QSize(96, 96)
#define FailedPageButtonSize  QSize(102, 36)
#define FailedPageButtonSizePADMODE  QSize(110, 48)


class FailedPageWidget : public QWidget
{
    Q_OBJECT
public:
    explicit FailedPageWidget(QWidget *parent = nullptr);

    void setupGui();
    void initConnect();

signals:
    void scanButtonClicked();

private:
    QLabel *m_failedPageIcon = nullptr;
    QLabel *m_failedPageText = nullptr;
    QPushButton *m_failedPageButton = nullptr;
    QVBoxLayout *m_failedPageVLayout = nullptr;
    QString themeColor = "white";

    bool isDarkTheme();

public slots:
    void fontSizeChanged();
    void clickfiledPageButton();
private slots:
    void initTheme();
    void rotateChangedSlot(bool isPCMode);
};

#endif // FAILEDPAGEWIDGET_H
